Subject: [bug#45680] [PATCH] Allow customised xkeyboard-config package in initrd

From: henkjan gersen <[email-masked]>
Date: Tue, 5 Jan 2021 23:27:48 +0000

As I triggered this patch with my question on the chat....

Looking at the patch I don't think it does what is intended as the
keymaps defined in xkeyboard-config are in an xkb format and need to
be converted to the correct format to allow them to be loaded in an
initrd. For the console keymap layout ckbcomp is used in keyboard.scm
to do this conversion that is then loaded by loadkeys, which is a
pretty elegant approach. I actually don't know how the keymaps used in
an initrd are defined or whether it is even needed to add them as they
wouldn't help for the disk decryption password.

Note that my original question was how I could replace
xkeyboard-config for a patched version that has my own customized
keyboard layout included; this does mean that any patch that adds
keyboard layouts to initrd can be tested using the standard keyboard
layouts that are available in the "standard" xkeyboard-config. If it
works for existing layouts included it should also work for additional
keyboard layouts I add to my version of xkeyboard-config.